BeagleWksText Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
BeagleWksText Class Reference

the main class to read the text part of BeagleWorks Text file More...

`#include <BeagleWksText.hxx>`

## Public Member Functions
| BeagleWksText (BeagleWksParser &parser)
| constructor More...
virtual | ~BeagleWksText ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions
bool | createZones (MWAWEntry &entry)
| try to create the text zones More...
bool | sendMainText ()
| send a main zone More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
void | countPages ()
| update the number of pages and the number of page by section More...
shared_ptr< MWAWSubDocument > | getHeader (int page, int &numSimillar)
| return an header subdocument More...
shared_ptr< MWAWSubDocument > | getFooter (int page, int &numSimillar)
| return a footer subdocument More...
void | updatePageSpanList (std::vector< MWAWPageSpan > &spanList)
| update the page span list More...
bool | sendText (MWAWEntry entry)
| try to send a text zone More...
bool | sendHF (int hfId, int sectId)
| try to send a header/footer id More...
MWAWFont | getFont (BeagleWksTextInternal::Font const &ft) const
| returns the font More...
bool | readFont (BeagleWksTextInternal::Font &font, long endPos)
| try to read a font properties More...
bool | readParagraph (MWAWParagraph &para, long endPos, bool inSection=false)
| try to read a paragraph knowing end pos More...
bool | readSection (MWAWEntry const &entry, BeagleWksTextInternal::Section &section)
| try to read a section More...

## Protected Attributes
MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< BeagleWksTextInternal::State > | m_state
| the state More...
shared_ptr< BeagleWksStructManager > | m_structureManager
| the structure manager More...
BeagleWksParser * | m_mainParser
| the main parser; More...

## Private Member Functions
| BeagleWksText (BeagleWksText const &orig)
BeagleWksText & | operator= (BeagleWksText const &orig)

## Friends
class | BeagleWksParser
class | BeagleWksTextInternal::SubDocument

## Detailed Description

the main class to read the text part of BeagleWorks Text file

## Constructor & Destructor Documentation

BeagleWksText::BeagleWksText | ( | BeagleWksParser & | parser | ) |

constructor

BeagleWksText::~BeagleWksText | ( |  | ) |
| virtual

destructor

BeagleWksText::BeagleWksText | ( | BeagleWksText const & | orig | ) |
| private

## Member Function Documentation

void BeagleWksText::countPages | ( |  | ) |
| protected

update the number of pages and the number of page by section

Referenced by numPages().

bool BeagleWksText::createZones | ( | MWAWEntry & | entry | ) |
| protected

try to create the text zones

void BeagleWksText::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

MWAWFont BeagleWksText::getFont | ( | BeagleWksTextInternal::Font const & | ft | ) | const
| protected

returns the font

Referenced by sendText().

shared_ptr< MWAWSubDocument > BeagleWksText::getFooter | ( | int | page,
|  | int & | numSimillar
| ) |  |
| protected

return a footer subdocument

shared_ptr< MWAWSubDocument > BeagleWksText::getHeader | ( | int | page,
|  | int & | numSimillar
| ) |  |
| protected

return an header subdocument

int BeagleWksText::numPages | ( |  | ) | const

returns the number of pages

BeagleWksText& BeagleWksText::operator= | ( | BeagleWksText const & | orig | ) |
| private

bool BeagleWksText::readFont | ( | BeagleWksTextInternal::Font & | font,
|  | long | endPos
| ) |  |
| protected

try to read a font properties

Referenced by countPages(), and sendText().

bool BeagleWksText::readParagraph | ( | MWAWParagraph & | para,
|  | long | endPos,
|  | bool | inSection = `false`
| ) |  |
| protected

try to read a paragraph knowing end pos

Referenced by countPages(), readSection(), and sendText().

bool BeagleWksText::readSection | ( | MWAWEntry const & | entry,
|  | BeagleWksTextInternal::Section & | section
| ) |  |
| protected

try to read a section

Referenced by createZones().

bool BeagleWksText::sendHF | ( | int | hfId,
|  | int | sectId
| ) |  |
| protected

try to send a header/footer id

Referenced by BeagleWksTextInternal::SubDocument::parse().

bool BeagleWksText::sendMainText | ( |  | ) |
| protected

send a main zone

bool BeagleWksText::sendText | ( | MWAWEntry | entry | ) |
| protected

try to send a text zone

Referenced by flushExtra(), sendHF(), and sendMainText().

void BeagleWksText::updatePageSpanList | ( | std::vector< MWAWPageSpan > & | spanList | ) |
| protected

update the page span list

int BeagleWksText::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

friend class BeagleWksParser
| friend

friend class BeagleWksTextInternal::SubDocument
| friend

## Member Data Documentation

BeagleWksParser* BeagleWksText::m_mainParser
| protected

the main parser;

Referenced by readSection(), and sendText().

MWAWParserStatePtr BeagleWksText::m_parserState
| protected

the parser state

Referenced by countPages(), createZones(), flushExtra(), getFooter(), getHeader(), readFont(), readParagraph(), readSection(), sendHF(), sendText(), and version().

shared_ptr<BeagleWksTextInternal::State> BeagleWksText::m_state
| protected

the state

Referenced by countPages(), createZones(), flushExtra(), getFooter(), getHeader(), numPages(), sendHF(), sendMainText(), sendText(), and version().

shared_ptr<BeagleWksStructManager> BeagleWksText::m_structureManager
| protected

the structure manager

Referenced by getFont().

The documentation for this class was generated from the following files:

- BeagleWksText.hxx
- BeagleWksText.cxx